package com.ruoyi.xq.enums.userinfo;


import lombok.Getter;

/**
 * 住房情况
 * <p>created on 2024/2/26 16:50</p>
 * @author duet
 */
@Getter
public enum UserHousingStatusEnum {
    ZWGF(1,"暂未购房"),
    YGF_YDK(2,"已购房（有贷款）"),
    YGF_WDK(3,"已购房（无贷款）"),
    YFMTZ(4,"与父母同住"),
    WFXWDFJJ(5,"无房希望对方解决"),
    WFXWSFJJ(6,"无房希望双方解决"),
    ;


    private final Integer code;
    private final String text;

    UserHousingStatusEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
